=== debian/control ===
Source: cowdancer
Section: utils
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>> 4.0.0), pbuilder, 
	       qemu-system [i386 amd64 powerpc], 
	       libklibc-dev, klibc-utils, cpio, busybox-static
Standards-Version: 3.7.2
Vcs-Git: git://git.debian.org/git/pbuilder/cowdancer.git
Vcs-Browser: http://git.debian.org/?p=pbuilder/cowdancer.git

Package: cowdancer
Architecture: any
Depends: ${shlibs:Depends}
Homepage: http://www.netfort.gr.jp/~dancer/software/cowdancer.html
Description: Copy-on-write directory tree utility.
 Tries to make copy-on-write semantics upon hard-link copied
 directory trees generated with 'cp -la'
 .
 'cow-shell' command invokes a shell session. Within that session,
 under the directory cow-shell was invoked, 
 cowdancer will create a new file when existing i-nodes are opened for 
 write.
 Useful for quick scratch workspace and experimentation.
 .
 For a useful Debian tool, try cowbuilder.

Package: cowbuilder
Architecture: any
Depends: ${shlibs:Depends}, pbuilder, cowdancer
Replaces: cowdancer (<= 0.49)
Description: pbuilder running on cowdancer
 'cowbuilder' command is a wrapper for pbuilder which allows using 
 pbuilder-like interface over cowdancer environment.
 .
 pbuilder is a tool for building and testing Debian package inside a clean
 chroot, and cowbuilder allows chroot to be recreated using
 hard-linked copies with copy-on-write, which makes creation and
 destruction of chroots fast.

Package: qemubuilder
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, qemu-system | kvm, pbuilder (>= 0.174), debootstrap
Homepage: http://wiki.debian.org/qemubuilder
Description: pbuilder using QEMU as backend
 pbuilder implementation for QEMU.
 .
 qemubuilder create -- builds QEMU cow base image.
 . 
 qemubuilder update -- updates QEMU cow base image.
 . 
 qemubuilder build -- builds package inside QEMU cow base image.
 .
 Gives a pbuilder interface for emulated cross-building environments
 using qemu.
 .
 pbuilder is a tool for building and testing Debian package inside a
 clean chroot, and qemubuilder implements similar experience over
 emulated CPUs. This tool allows building package inside emulated
 Debian environment for different CPU architectures supported by qemu.
