## cowdancer 0.69

=== debian/changelog ===
cowdancer (0.69) unstable; urgency=low

  [ Mike Gabriel ]
  * Add SMP support to qemubuilder (closes: #661856)

  [ Junichi Uekawa ]
  * add --keyring and --allow-untrusted options to cowbuilder.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 30 Mar 2012 01:19:48 +0900
