## cowdancer 0.73~bpo7+1

=== debian/changelog ===
cowdancer (0.73~bpo7+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 29 Nov 2013 09:59:36 +0100

cowdancer (0.73) unstable; urgency=low

  * debbuildopts quoting is wrong from ~/.pbuilderrc (closes: #704247)
  * do not fail test when '/' is not mounted inside chroot. 
    (closes: #713511)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 24 Jul 2013 06:41:33 +0900
