=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cowdancer
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
+Maintainer: Junichi Uekawa <dancer@debian.org>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cpio,
 	       busybox-static,
 	       debhelper (>> 4.0.0),
