## cowdancer 0.73

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 cowdancer-ilistcreate: cowdancer-ilistcreate.o ilistcreate.o
 	$(CC) $(CFLAGS) -o $@ $^
 
-cowbuilder: cowbuilder.o parameter.o forkexec.o ilistcreate.o main.o
+cowbuilder: cowbuilder.o parameter.o forkexec.o ilistcreate.o main.o cowbuilder_util.o
 	$(CC) $(CFLAGS) -o $@ $^
 
 qemubuilder: qemubuilder.lfso parameter.lfso forkexec.lfso qemuipsanitize.lfso qemuarch.lfso file.lfso main.lfso
