=== debian/control ===
--- 
+++ 
@@ -2,8 +2,6 @@
 Section: utils
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cpio,
 	       busybox-static,
 	       debhelper (>> 4.0.0),
