=== debian/watch ===
version=2
http://www.netfort.gr.jp/~dancer/software/downloads cowdancer-([\d+\.]+).tar.gz
