## cowdancer 0.74+devuan1

=== debian/changelog ===
cowdancer (0.74+devuan1) unstable; urgency=medium

  * Fix segfault on missing parameters to qemubuilder
  * Avoid infinite loop when forked qemu child crash in qemubuilder
  * add support for armhf architecture to qemubuilder

 -- Franco (nextime) Lanza <nextime@devuan.org>  Thu, 02 Apr 2015 21:59:57 +0000
