=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cowdancer
 Section: utils
 Priority: optional
-Maintainer: Junichi Uekawa <dancer@debian.org>
+Maintainer: Franco (nextime) Lanza <nextime@devuan.org>
 Build-Depends: cpio,
 	       busybox-static,
 	       debhelper (>> 4.0.0),
