=== debian/control ===
Source: cowdancer
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: utils
Priority: optional
Build-Depends: cpio,
               busybox-static,
               debhelper (>> 4.0.0),
               klibc-utils,
               libklibc-dev,
               pbuilder,
               qemu-system [i386 amd64 powerpc]
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pbuilder/cowdancer.git
Vcs-Git: git://anonscm.debian.org/pbuilder/cowdancer.git

Package: cowdancer
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Copy-on-write directory tree utility.
 Tries to make copy-on-write semantics upon hard-link copied
 directory trees generated with 'cp -la'
 .
 'cow-shell' command invokes a shell session. Within that session,
 under the directory cow-shell was invoked,
 cowdancer will create a new file when existing i-nodes are opened for
 write.
 Useful for quick scratch workspace and experimentation.
 .
 For a useful Debian tool, try cowbuilder.
Homepage: http://www.netfort.gr.jp/~dancer/software/cowdancer.html

Package: cowbuilder
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pbuilder,
         cowdancer
Replaces: cowdancer (<= 0.49)
Description: pbuilder running on cowdancer
 'cowbuilder' command is a wrapper for pbuilder which allows using
 pbuilder-like interface over cowdancer environment.
 .
 pbuilder is a tool for building and testing Debian package inside a clean
 chroot, and cowbuilder allows chroot to be recreated using
 hard-linked copies with copy-on-write, which makes creation and
 destruction of chroots fast.

Package: qemubuilder
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qemu-system | kvm,
         pbuilder,
         debootstrap
Description: pbuilder using QEMU as backend
 pbuilder implementation for QEMU.
 .
 qemubuilder create -- builds QEMU cow base image.
 .
 qemubuilder update -- updates QEMU cow base image.
 .
 qemubuilder build -- builds package inside QEMU cow base image.
 .
 Gives a pbuilder interface for emulated cross-building environments
 using qemu.
 .
 pbuilder is a tool for building and testing Debian package inside a
 clean chroot, and qemubuilder implements similar experience over
 emulated CPUs. This tool allows building package inside emulated
 Debian environment for different CPU architectures supported by qemu.
Homepage: http://wiki.debian.org/qemubuilder
