=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: cpio,
-               busybox-static,
-               debhelper (>> 4.0.0),
+Build-Depends: busybox-static,
+               cpio,
+               debhelper (>> 9),
                klibc-utils,
                libklibc-dev,
                pbuilder,
@@ -16,9 +16,9 @@
 
 Package: cowdancer
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Copy-on-write directory tree utility.
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: Copy-on-write directory tree utility
  Tries to make copy-on-write semantics upon hard-link copied
  directory trees generated with 'cp -la'
  .
@@ -33,10 +33,10 @@
 
 Package: cowbuilder
 Architecture: linux-any
-Depends: ${shlibs:Depends},
+Depends: cowdancer,
+         pbuilder,
          ${misc:Depends},
-         pbuilder,
-         cowdancer
+         ${shlibs:Depends}
 Replaces: cowdancer (<= 0.49)
 Description: pbuilder running on cowdancer
  'cowbuilder' command is a wrapper for pbuilder which allows using
@@ -48,12 +48,12 @@
  destruction of chroots fast.
 
 Package: qemubuilder
-Architecture: i386 amd64 powerpc
-Depends: ${shlibs:Depends},
+Architecture: amd64 i386 powerpc
+Depends: debootstrap,
+         pbuilder,
+         qemu-system | kvm,
          ${misc:Depends},
-         qemu-system | kvm,
-         pbuilder,
-         debootstrap
+         ${shlibs:Depends}
 Description: pbuilder using QEMU as backend
  pbuilder implementation for QEMU.
  .
