## cowdancer 0.77

=== debian/changelog ===
cowdancer (0.77) unstable; urgency=medium

  * bash_completion.cowbuilder:
   - Added --configfile (Closes: #744974)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 25 Dec 2015 11:09:25 +0000
