## cowdancer 0.78

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DESTDIR=
 PREFIX=/usr
 LIBDIR=$(PREFIX)/lib
-CFLAGS=-O2 -Wall -g -fno-strict-aliasing
+CFLAGS := $(CFLAGS) -fno-strict-aliasing
 CFLAGS_LFS=$(CFLAGS) $(shell getconf LFS_CFLAGS)
 PWD=$(shell pwd)
 
@@ -17,6 +17,7 @@
 
 install: $(BINARY)
 	$(INSTALL_DIR) $(DESTDIR)${PREFIX}/bin
+	$(INSTALL_DIR) $(DESTDIR)${PREFIX}/sbin
 	$(INSTALL_DIR) $(DESTDIR)${LIBDIR}/cowdancer
 	$(INSTALL_DIR) $(DESTDIR)${PREFIX}/share/man/man1
 	$(INSTALL_DIR) $(DESTDIR)${PREFIX}/share/man/man8
@@ -37,24 +38,24 @@
 	$(INSTALL_FILE) bash_completion.cowbuilder $(DESTDIR)/usr/share/bash-completion/completions/cowbuilder
 
 libcowdancer.so: cowdancer.lo ilistcreate.lo
-	$(CC) $(CFLAGS) -shared -o $@ $^ -ldl
+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -ldl
 
 cow-shell: cow-shell.o ilistcreate.o
-	$(CC) $(CFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
 cowdancer-ilistcreate: cowdancer-ilistcreate.o ilistcreate.o
-	$(CC) $(CFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
 cowbuilder: cowbuilder.o parameter.o forkexec.o ilistcreate.o main.o cowbuilder_util.o
-	$(CC) $(CFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
 qemubuilder: qemubuilder.lfso parameter.lfso forkexec.lfso qemuipsanitize.lfso qemuarch.lfso file.lfso main.lfso
-	$(CC) $(CFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
-%.lo: %.c 
+%.lo: %.c
 	$(CC) $(CFLAGS) -fPIC $< -o $@ -c
 
-%.lfso: %.c 
+%.lfso: %.c
 	$(CC) $(CFLAGS_LFS) $< -o $@ -c
 
 %.o: %.c parameter.h
