=== debian/changelog ===
cowdancer (0.78) unstable; urgency=medium

  * debian/control:
   - Change qemubuilder architecture to any

 -- Iain R. Learmonth <irl@debian.org>  Fri, 25 Dec 2015 14:30:43 +0000
