=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
  destruction of chroots fast.
 
 Package: qemubuilder
-Architecture: amd64 i386 powerpc
+Architecture: any
 Depends: debootstrap,
          pbuilder,
          qemu-system | kvm,
