## cowdancer 0.79

=== debian/changelog ===
cowdancer (0.79) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/control:
    - Remove qemu-system Build-Dep, it's clearly useless.
    - Restrict qemubuilder to linux-any architectures.
    - Bump Standards-Version to 3.9.7, no changes needed.
    - Use HTTPS in Vcs-Git

  [ James Clarke ]
  * debian/control:
    - Add myself to Uploaders. (Closes: #802151)
    - Drop unused busybox-static from Build-Depends.
    - Build everything except qemubuilder on Architecture: any
  * Fix open/open64 giving SIGILL on kFreeBSD. (Closes: #647345)
  * tests/016_memleakcheck.c:
    - Check result of opening /proc/self/maps for NULL.
    - Use /proc/<pid>/maps over /proc/self/maps.
      This fixes the test failing on the Hurd, as /proc/self is currently
      always /proc/1.
  * Makefile:
    - Define DEB_BUILD_ARCH_OS.
    - Don't build qemubuilder when DEB_BUILD_ARCH_OS != "linux".
    - Create tests/log directory if missing
  * qemubuilder.c:
    - Don't hang if child crashes (Closes: #752582)
    - Exit gracefully when missing KERNEL_IMAGE (LP: #1027268)
    - Make kernel halt on panic, rather than hanging
    - Support EXTRAPACKAGES/--extrapackages
    - Specify disk image format for qemu (Closes: #812581)
    - Avoid needless string copy
  * cowbuilder:
    - Don't override --extrapackages (Closes: #606542)
  * cowbuilder.c:
    - Always check for mounts before deleting directories (Closes: #758490)
    - Don't duplicate --debbuildopts (Closes: #754048)
  * tests/log:
    - Remove unnecessary directory
  * parameter.c:
    - Avoid // in buildplace (Closes: #573126)

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 04 Apr 2016 19:21:41 +0100
