=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: cowdancer
 Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>,
+           James Clarke <jrtc27@jrtc27.com>
 Section: utils
 Priority: optional
-Build-Depends: busybox-static,
-               cpio,
+Build-Depends: cpio,
                debhelper (>> 9),
-               klibc-utils,
-               libklibc-dev,
+               klibc-utils [linux-any],
+               libklibc-dev [linux-any],
                pbuilder,
-               qemu-system [i386 amd64 powerpc]
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pbuilder/cowdancer.git
-Vcs-Git: git://anonscm.debian.org/pbuilder/cowdancer.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/git/pbuilder/cowdancer.git
+Vcs-Git: https://anonscm.debian.org/git/pbuilder/cowdancer.git
 
 Package: cowdancer
-Architecture: linux-any
+Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Copy-on-write directory tree utility
@@ -32,7 +31,7 @@
 Homepage: http://www.netfort.gr.jp/~dancer/software/cowdancer.html
 
 Package: cowbuilder
-Architecture: linux-any
+Architecture: any
 Depends: cowdancer,
          pbuilder,
          ${misc:Depends},
@@ -48,7 +47,7 @@
  destruction of chroots fast.
 
 Package: qemubuilder
-Architecture: any
+Architecture: linux-any
 Depends: debootstrap,
          pbuilder,
          qemu-system | kvm,
