## cowdancer 0.80~bpo8+1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 SHELL=/bin/bash
-BINARY=libcowdancer.so cow-shell cowbuilder qemubuilder cowdancer-ilistcreate \
+DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+BINARY := libcowdancer.so cow-shell cowbuilder cowdancer-ilistcreate \
 	cowdancer-ilistdump
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
+	BINARY := $(BINARY) qemubuilder
+endif
 INSTALL_DIR=install -d -o root -g root -m 755
 INSTALL_FILE=install -o root -g root -m 644
 INSTALL_PROGRAM=install -o root -g root -m 755
@@ -25,16 +29,22 @@
 	$(INSTALL_FILE)  cowdancer-ilistcreate.1 $(DESTDIR)/usr/share/man/man1/cowdancer-ilistcreate.1
 	$(INSTALL_FILE)  cowdancer-ilistdump.1 $(DESTDIR)/usr/share/man/man1/cowdancer-ilistdump.1
 	$(INSTALL_FILE)  cowbuilder.8 $(DESTDIR)/usr/share/man/man8/cowbuilder.8
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
 	$(INSTALL_FILE)  qemubuilder.8 $(DESTDIR)/usr/share/man/man8/qemubuilder.8
+endif
 	$(INSTALL_FILE)  libcowdancer.so $(DESTDIR)${LIBDIR}/cowdancer/libcowdancer.so
 	$(INSTALL_PROGRAM) cow-shell $(DESTDIR)/usr/bin/cow-shell
 	$(INSTALL_PROGRAM) cowbuilder $(DESTDIR)/usr/sbin/cowbuilder
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
 	$(INSTALL_PROGRAM) qemubuilder $(DESTDIR)/usr/sbin/qemubuilder
+endif
 	$(INSTALL_PROGRAM) cowdancer-ilistcreate $(DESTDIR)/usr/bin/cowdancer-ilistcreate
 	$(INSTALL_PROGRAM) cowdancer-ilistdump $(DESTDIR)/usr/bin/cowdancer-ilistdump
 
 	$(INSTALL_DIR) $(DESTDIR)/usr/share/bash-completion/completions
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
 	$(INSTALL_FILE) bash_completion.qemubuilder $(DESTDIR)/usr/share/bash-completion/completions/qemubuilder
+endif
 	$(INSTALL_FILE) bash_completion.cowbuilder $(DESTDIR)/usr/share/bash-completion/completions/cowbuilder
 
 libcowdancer.so: cowdancer.lo ilistcreate.lo
@@ -68,23 +78,37 @@
 upload-dist-all:
 	scp ../cowdancer_$(VERSION).tar.gz aegis.netfort.gr.jp:public_html/software/downloads
 
-fastcheck:
+tests/log:
+	mkdir -p $@
+
+fastcheck: tests/log
 	set -e; set -o pipefail; for A in ./test_*.c; do echo $$A; \
-		./tests/run_c.sh $$A 2>&1 | \
+		if [ "$(DEB_BUILD_ARCH_OS)" != "linux" ] && [ "$${A:0:11}" == "./test_qemu" ]; then \
+			echo "Skipping (qemubuilder is only supported on linux-any)"; \
+		else \
+			./tests/run_c.sh $$A 2>&1; \
+		fi | \
 		tee tests/log/$${A/*\//}.log; done
 
-slowcheck: cowdancer-ilistdump qemubuilder cow-shell
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
+slowcheck: tests/log cowdancer-ilistdump qemubuilder cow-shell
+else
+slowcheck: tests/log cowdancer-ilistdump cow-shell
+endif
 	# FIXME: The tests are running installed cowdancer, not the just-built
 	set -e; set -o pipefail; for A in tests/[0-9][0-9][0-9]_*.sh; \
 	do echo $$A; \
-	PATH="$(PWD):$(PWD)/tests:/usr/bin/:/bin" \
-	COWDANCER_SO=$(PWD)/libcowdancer.so \
-	bash $$A  2>&1 | \
-	sed -e's,/tmp/[^/]*,/tmp/XXXX,g' \
-	    -e "s,^Current time:.*,Current time: TIME," \
-	    -e "s,^pbuilder-time-stamp: .*,pbuilder-time-stamp: XXXX," \
-	    -e "s,^Fetched .*B in .*s (.*B/s),Fetched XXXB in Xs (XXXXXB/s)," \
-	| tee tests/log/$${A/*\//}.log; done
+	if [ "$(DEB_BUILD_ARCH_OS)" != "linux" ] && [ "$${A:0:40}" == "tests/101_test_qemubuilder_dumpconfig.sh" ]; then \
+		echo "Skipping (qemubuilder is only supported on linux-any)"; \
+	else \
+		PATH="$(PWD):$(PWD)/tests:/usr/bin/:/bin" \
+		COWDANCER_SO=$(PWD)/libcowdancer.so \
+		bash $$A  2>&1 | \
+		sed -e's,/tmp/[^/]*,/tmp/XXXX,g' \
+			-e "s,^Current time:.*,Current time: TIME," \
+			-e "s,^pbuilder-time-stamp: .*,pbuilder-time-stamp: XXXX," \
+			-e "s,^Fetched .*B in .*s (.*B/s),Fetched XXXB in Xs (XXXXXB/s),"; \
+	fi | tee tests/log/$${A/*\//}.log; done
 
 check: fastcheck slowcheck
