=== debian/changelog ===
cowdancer (0.80~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * qemubuilder.c:
    - Change for-loops to be C89-compliant

 -- James Clarke <jrtc27@jrtc27.com>  Thu, 30 Jun 2016 22:49:23 +0100

cowdancer (0.80) unstable; urgency=medium

  [ James Clarke ]
  * qemuarch.c:
    - Support x32
  * test_qemuarch.c:
    - Support x32
  * cowbuilder.c:
    - Preserve directory when --debug is given (Closes: #650592)
  * Add support for pbuilder's --binary-indep
    - Only use --force-yes if --allow-untrusted is given
      (Closes: #819093)
    - Add support for hooks.
      Thanks to Reiner Herrmann for the initial concept patch.
      (Closes: #819803)
    - Copy files back as the correct user/group
    - Increase MEMORY_MEGS default to 256
  * qemubuilder.c:
    - Mount /run/lock and /dev/shm as tmpfs
  * qemubuilder.c:
    - Update first-stage script in --update
  * qemubuilder.c:
    - Run hooks from mountpoint and use input/ for copying
    - Build inside /build
    - Detect out of date pbuilder-run init script
    - Update script by mounting root
    - Fixed end-of-work exit code
    - Fixed non-executable hook warning
    - Compatibility symlink from /tmp/buildd to /build
    - Avoid first-stage warnings
    - Delete /pbuilder-run before version check
    - Use tmpfs for /tmp
    - Run commands inside getty
    - Use qemu monitor, with sane tty settings
  * file.c:
    - Preserve permissions on copy

  [ Mattia Rizzolo ]
  * debian/control:
    - Bump Standards-Version to 3.9.8, no changes needed.
  * debian/control:
    - add myself to Uploaders.

  [ Peter Pentchev ]
  * qemubuilder.c:
    - Fixed inverted error check for asprintf breaking --update
      (Closes: #822849)

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 16 May 2016 10:51:15 +0100
