=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cowdancer
 Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>,
-           James Clarke <jrtc27@jrtc27.com>
+           James Clarke <jrtc27@jrtc27.com>,
+           Mattia Rizzolo <mattia@debian.org>,
 Section: utils
 Priority: optional
 Build-Depends: cpio,
@@ -9,7 +10,7 @@
                klibc-utils [linux-any],
                libklibc-dev [linux-any],
                pbuilder,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pbuilder/cowdancer.git
 Vcs-Git: https://anonscm.debian.org/git/pbuilder/cowdancer.git
