=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

# (shell-command "cd ../ ; debian/rules debian/qemubuilder.README.Debian")
debian/qemubuilder.README.Debian:
	w3m -dump 'http://wiki.debian.org/qemubuilder?action=raw' > $@.tmp
	mv $@.tmp $@
