## cowdancer 0.80ubuntu1

=== debian/changelog ===
cowdancer (0.80ubuntu1) yakkety; urgency=medium

  * Build with -02 in ppc64el, try to fix FTBFS

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Wed, 01 Jun 2016 17:02:56 +0000
