=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,13 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+export DEB_CFLAGS_MAINT_STRIP = -O3
+export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
 
 %:
 	dh $@ --parallel
