## cowdancer 0.81

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 CFLAGS := $(CFLAGS) -fno-strict-aliasing
 CFLAGS_LFS=$(CFLAGS) $(shell getconf LFS_CFLAGS)
 PWD=$(shell pwd)
+LDFLAGS += -lncurses
 
 export VERSION=$(shell sed -n '1s/.*(\(.*\)).*$$/\1/p' < debian/changelog )
 
@@ -47,19 +48,22 @@
 endif
 	$(INSTALL_FILE) bash_completion.cowbuilder $(DESTDIR)/usr/share/bash-completion/completions/cowbuilder
 
-libcowdancer.so: cowdancer.lo ilistcreate.lo
+libcowdancer.so: cowdancer.lo ilistcreate.lo log.lo
 	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -ldl
 
-cow-shell: cow-shell.o ilistcreate.o
+cow-shell: cow-shell.o ilistcreate.o log.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
-cowdancer-ilistcreate: cowdancer-ilistcreate.o ilistcreate.o
+cowdancer-ilistcreate: cowdancer-ilistcreate.o ilistcreate.o log.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
-cowbuilder: cowbuilder.o parameter.o forkexec.o ilistcreate.o main.o cowbuilder_util.o
+cowdancer-ilistdump: cowdancer-ilistdump.o log.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
-qemubuilder: qemubuilder.lfso parameter.lfso forkexec.lfso qemuipsanitize.lfso qemuarch.lfso file.lfso main.lfso
+cowbuilder: cowbuilder.o parameter.o forkexec.o ilistcreate.o main.o cowbuilder_util.o log.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+
+qemubuilder: qemubuilder.lfso parameter.lfso forkexec.lfso qemuipsanitize.lfso qemuarch.lfso file.lfso main.lfso log.lfso
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
 %.lo: %.c
@@ -71,7 +75,7 @@
 %.o: %.c parameter.h
 	$(CC) $(CFLAGS) $< -o $@ -c -D LIBDIR="\"${LIBDIR}\""
 
-clean: 
+clean:
 	-rm -f *~ *.o *.lo *.lfso $(BINARY)
 	-make -C initrd clean
