=== debian/changelog ===
cowdancer (0.81) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Build with -O2 on ppc64el to fix FTBFS in Ubuntu (that is using -O3)

  [ Iain R. Learmonth ]
  * Removing myself from uploaders

  [ James Clarke ]
  * Unify logging and add colors
    - There is now more consistency with the logging format. Every
      cowbuilder/qemubuilder message is now prefixed with the log level.
    - The new USECOLORS pbuilder configuration variable (yes, no or auto) is
      read, and if yes (or auto, and the terminal supports colors), the same
      colors are used as pbuilder.
    - The LOGLEVEL pbuilder configuration variable now also controls
      cowbuilder/qemubuilder's verbosity.
  * Add quotes around arguments with spaces when printing forked commands

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 13 Sep 2016 12:00:38 +0100
