## cowdancer 0.81ubuntu1

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,10 @@
 CFLAGS_LFS=$(CFLAGS) $(shell getconf LFS_CFLAGS)
 PWD=$(shell pwd)
 LDFLAGS += -lncurses
+CFLAGS_LIB := $(filter-out -pie,$(CFLAGS))
+CFLAGS_LIB := $(filter-out -fPIE,$(CFLAGS_LIB))
+LDFLAGS_LIB := $(filter-out -pie,$(LDFLAGS))
+LDFLAGS_LIB := $(filter-out -fPIE,$(LDFLAGS_LIB))
 
 export VERSION=$(shell sed -n '1s/.*(\(.*\)).*$$/\1/p' < debian/changelog )
 
@@ -49,22 +53,22 @@
 	$(INSTALL_FILE) bash_completion.cowbuilder $(DESTDIR)/usr/share/bash-completion/completions/cowbuilder
 
 libcowdancer.so: cowdancer.lo ilistcreate.lo log.lo
-	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -ldl
+	$(CC) $(CFLAGS_LIB) -fpic -fPIC -shared -o $@ $^ -ldl $(LDFLAGS_LIB)
 
 cow-shell: cow-shell.o ilistcreate.o log.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 cowdancer-ilistcreate: cowdancer-ilistcreate.o ilistcreate.o log.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 cowdancer-ilistdump: cowdancer-ilistdump.o log.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 cowbuilder: cowbuilder.o parameter.o forkexec.o ilistcreate.o main.o cowbuilder_util.o log.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 qemubuilder: qemubuilder.lfso parameter.lfso forkexec.lfso qemuipsanitize.lfso qemuarch.lfso file.lfso main.lfso log.lfso
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 %.lo: %.c
 	$(CC) $(CFLAGS) -fPIC $< -o $@ -c
