=== debian/changelog ===
cowdancer (0.81ubuntu1) yakkety; urgency=medium

  * Fix build by moving LDFLAGS to the right position,
    and removing bad pie and fPIE flags in library creation.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Sep 2016 07:03:07 +0200
