=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cowdancer
 Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>,
-           James Clarke <jrtc27@jrtc27.com>,
+Uploaders: James Clarke <jrtc27@jrtc27.com>,
            Mattia Rizzolo <mattia@debian.org>,
 Section: utils
 Priority: optional
@@ -9,6 +8,7 @@
                debhelper (>> 9),
                klibc-utils [linux-any],
                libklibc-dev [linux-any],
+               libncurses-dev,
                pbuilder,
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pbuilder/cowdancer.git
