=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,13 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+# Work around FTBFS on ppc64el in Ubuntu, which uses -O3 by default instead
+# of -O2 like Debian. TODO: Investigate and fix root cause.
 ifeq ($(DEB_HOST_ARCH),ppc64el)
+ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 export DEB_CFLAGS_MAINT_STRIP = -O3
 export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
 endif
 
 %:
