## cowdancer 0.82~bpo8+1

=== debian/changelog ===
cowdancer (0.82~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * qemubuilder.c: Change for-loops to be C89-compliant

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 19 Dec 2016 22:31:38 +0000

cowdancer (0.82) unstable; urgency=medium

  [ James Clarke ]
  * Rewrite build system to use autotools instead of home-grown Makefile
  * qemubuilder: Add support for arm64 (Closes: #838753)

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 10
  * d/rules: drop override_dh_installchangelogs installing ChangeLog: it's
    installed automatically since compat 7

  [ James Clarke ]
  * cowdancer: Use multiarch library path
  * log.c: Silence colors termcap error (Closes: 845395)

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 05 Dec 2016 00:42:45 +0000
