=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Section: utils
 Priority: optional
 Build-Depends: cpio,
-               debhelper (>> 9),
+               debhelper (>= 10),
+               dh-exec,
                klibc-utils [linux-any],
                libklibc-dev [linux-any],
                libncurses-dev,
