## cowdancer 0.82

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,10 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_install:
 	dh_install --fail-missing
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
 
 # (shell-command "cd ../ ; debian/rules debian/qemubuilder.README.Debian")
 debian/qemubuilder.README.Debian:
