## cowdancer 0.83~bpo8+1

=== debian/changelog ===
cowdancer (0.83~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * qemubuilder.c: Change for-loops to be C89-compliant

 -- James Clarke <jrtc27@debian.org>  Wed, 18 Jan 2017 18:54:43 +0000

cowdancer (0.83) unstable; urgency=medium

  * parameter.c: Print a friendlier message when basepath can't be created
    (Closes: #753008)
  * debian/control: Use my @debian.org email address
  * debian/copyright: Add myself (2016-2017)
  * Revert "cowdancer: Use multiarch library path"
  * Symlink multiarch path to non-multiarch path (Closes: #850453)
    - If a user has updated their chroot to 0.82, this will cause a few errors
      again on unpack, but this will be a very short window.

 -- James Clarke <jrtc27@debian.org>  Sat, 07 Jan 2017 11:51:22 +0000
