## cowdancer 0.83

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cowdancer
 Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
-Uploaders: James Clarke <jrtc27@jrtc27.com>,
+Uploaders: James Clarke <jrtc27@debian.org>,
            Mattia Rizzolo <mattia@debian.org>,
 Section: utils
 Priority: optional
