=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,12 @@
 %:
 	dh $@
 
+# Multiarch is supported, but to support upgrades, the library needs to stay in
+# the non-multiarch path for one release with a symlink from the multiarch
+# path. See #850453.
+override_dh_auto_configure:
+	dh_auto_configure -- --libdir='$${prefix}/lib' --libexecdir='$${prefix}/lib'
+
 override_dh_install:
 	dh_install --fail-missing
