## cowdancer 0.84~bpo8+1

=== debian/changelog ===
cowdancer (0.84~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Makefile.am: Use TESTS_ENVIRONMENT, since jessie's automake uses serial
    test harness

 -- James Clarke <jrtc27@debian.org>  Mon, 30 Jan 2017 16:56:53 +0000

cowdancer (0.84) unstable; urgency=medium

  [ James Clarke ]
  * Use automake for tests
  * Don't run 016_memleakcheck for now
    - Fixes FTBFS on hurd-i386
  * Reformat everything with the help of clang-format
  * Fix miscellaneous issues found by clang-tidy
  * debian/control:
    - Drop unused Build-Depends
    - Update Build-Depends for cross-building
  * cowbuilder: Pass --architecture to pbuilder when building
  * qemubuilder:
    - Check architecture has been specified (Closes: #440944)
    - Allow custom debootstrap and options (Closes: #851226)
    - Change for-loops to be C89-compliant
    - Enable KVM via -machine (kvm binary is deprecated)
  * parameter:
    - Add missing fields to dump_config and reorder
    - Remove duplicate hookdir definition
    - Sync options with pbuilder 0.228
    - Update short options
    - Accept aliases for the operation to perform
  * cowbuilder.8:
    - Update for new command aliases
    - Various cleanups
  * qemubuilder.8:
    - Update for new command aliases
    - Various cleanups

  [ Mattia Rizzolo ]
  * debian/rules: Mark debian/qemubuilder.README.Debian target as .PHONY, so
    it'll always run when called
  * debian/qemubuilder.README.Debian: update from the wiki

 -- James Clarke <jrtc27@debian.org>  Thu, 19 Jan 2017 14:41:27 +0000
