## cowdancer 0.85~bpo8+1

=== debian/changelog ===
cowdancer (0.85~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Makefile.am: Use TESTS_ENVIRONMENT, since jessie's automake uses serial
    test harness

 -- James Clarke <jrtc27@debian.org>  Sun, 12 Feb 2017 19:40:14 +0000

cowdancer (0.85) unstable; urgency=medium

  * cowbuilder.8: Don't document the option-style commands; they're confusing
    and no longer recommended
  * parameter.c: Allow commands to come later; deprecation warnings not given,
    since at least one reverse dependency does not call cowbuilder correctly
    (Closes: #852434)

 -- James Clarke <jrtc27@debian.org>  Tue, 31 Jan 2017 17:16:13 +0000
