## cowdancer 0.85

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,10 @@
            Mattia Rizzolo <mattia@debian.org>,
 Section: utils
 Priority: optional
-Build-Depends: cpio,
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 10),
                dh-exec,
-               klibc-utils [linux-any],
-               libklibc-dev [linux-any],
                libncurses-dev,
-               pbuilder,
+               pbuilder <!nocheck>,
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pbuilder/cowdancer.git
 Vcs-Git: https://anonscm.debian.org/git/pbuilder/cowdancer.git
