## cowdancer 0.86~bpo9+1

=== debian/changelog ===
cowdancer (0.86~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- James Clarke <jrtc27@debian.org>  Thu, 25 Jan 2018 20:47:58 +0000

cowdancer (0.86) unstable; urgency=medium

  * Bump standards version to 4.1.3, no changes needed
  * ilistcreate: Ensure .ilist has the correct permissions (Closes: #872597)
  * cowbuilder: Always pass --mirror and --distribution to pbuilder
  * qemubuilder: Depend on soon-to-be non-Essential e2fsprogs (Closes: #887239)
  * debian/control:
    - Change Vcs-* to point to salsa
    - Set Rules-Requires-Root to no
  * Bump compat to 11, no changes needed

 -- James Clarke <jrtc27@debian.org>  Sat, 20 Jan 2018 12:51:55 +0000
